#
# spec file for package guile-parted
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           guile-parted
Version:        0.0.7
Release:        2.5
Summary:        Guile bindings to Parted
License:        GPL-3.0-or-later
Group:          Development/Libraries/Other
URL:            https://gitlab.com/mothacehe/guile-parted
Source0:        https://gitlab.com/mothacehe/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        guile-parted-rpmlintrc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  guile-bytestructures
BuildRequires:  guile-devel
BuildRequires:  parted-devel
BuildRequires:  pkg-config
Requires:       guile
Requires:       guile-bytestructures
Requires:       parted-devel

%description
This package provides Guile bindings to GNU Parted.

%prep
%setup -q

%build
./bootstrap
%configure
# building in parallel makes build results nondeterministic (boo#1170378)
make

%install
%make_install

%files
%doc README.org
%license COPYING
%{_datadir}/guile/*
%{_libdir}/guile/*

%changelog
* Thu Aug  3 2023 Bernhard Wiedemann <bwiedemann@suse.com>
- Do sequential build for deterministic results (boo#1170378)
* Sun Jun 18 2023 Jonathan Brielmaier <jbrielmaier@opensuse.org>
- Update to 0.0.7:
  * Remove the finalizer on device pointers
* Sat Sep 17 2022 Jonathan Brielmaier <jbrielmaier@opensuse.org>
- remove unused RPM lint filters, add one for devel dependency
* Fri Sep 16 2022 Jonathan Brielmaier <jbrielmaier@opensuse.org>
- Update to 0.0.6:
  * Add cross-compilation support
* Fri Nov  6 2020 Jonathan Brielmaier <jbrielmaier@opensuse.org>
- Update to 0.0.4:
  * Add Guile 3.0 support.
  * Fix unit-parse.
  * Add support for nvme, ram and pmem.
- Remove patch:
  * support-guile-3.0.patch: support added in release
* Mon Jan 13 2020 Jonathan Brielmaier <jbrielmaier@suse.de>
- Add patch:
  * support-guile-3.0.patch: Add support for Guile 3.0. Proposed to
    upstream.
- Remove unrecognized configure flag.
* Tue Sep 24 2019 Jonathan Brielmaier <jbrielmaier@suse.de>
- Update to version 0.0.2:
  * Add unit tests.
  * Add a README file.
  * Add pointer finalizers.
  * Add partition type and partition helpers.
  * Rename make-geometry to geometry-new.
  * Remove functions freeing pointers such as disk-destroy.
- Install README.org and COPYING.
* Fri Apr 26 2019 Jonathan Brielmaier <jbrielmaier@suse.de>
- add missing guile-parted-rpmlintrc as source
* Thu Apr 18 2019 Jonathan Brielmaier <jbrielmaier@suse.de>
- let there be guile-parted
